Appearance
Inference
Query the models available through the inference gateway.
List chat model ids
GET
/v1/inference/list-chat-models
Returns the verified chat models this deployment can route. EchoMode's reranking slot uses the same list as chat, so use this route for that picker too. Embedding models are served by GET /inference/list-embedding-models.
Authorizations
HTTPBearer
Type
HTTP (bearer)
Responses
Successful Response
application/json
JSON "models": [ { "id": "string", "label": "string", "provider": "string", "reasoning_efforts": [ "string" ], "supports_reasoning": false, "thinking_toggleable": false } ]
{
}
Samples
List embedding model ids
GET
/v1/inference/list-embedding-models
Returns the embedding models this deployment can route, for the Dataroom RAG picker. Chat models are served by GET /inference/list-chat-models.
Authorizations
HTTPBearer
Type
HTTP (bearer)
Responses
Successful Response
application/json
JSON "models": [ { "id": "string", "label": "string", "provider": "string", "reasoning_efforts": [ "string" ], "supports_reasoning": false, "thinking_toggleable": false } ]
{
}